
QGIS Application - Bug report #762

Using identify tool on shapefile results into crash

2007-09-04 09:25 AM - browlingson -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 10821

Description

MZM on #qgis says:

------

Using identify tool on shapefile results into crash (0.8.1 and trunk-04.09.2007).

sci-libs/geos-3.0.0_rc3

Error MSG:

Warning: Qt has caught an exception thrown from an event handler. Throwing

exceptions from an event handler is not supported in Qt. You must

reimplement QApplication::notify() and catch all exceptions there.

terminate called after throwing an instance of 'geos::util::TopologyException'

  what():  [[TopologyException]]: side location conflict 511131 316089

Aborted

Sample data: http://www.aiknc.lv/Identify_segfault.tar.gz

Image where to click: http://www.aiknc.lv/identify.png

----

works for me (browlingson/spacedman) with libgeos version 2, but I do get:

Warning: GEOS: [[TopologyException]]: side location conflict (511131,316089)

on identify.

History

#1 - 2007-11-13 07:09 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

fixed in , same as #802

#2 - 2007-11-13 07:12 AM - Jürgen Fischer

correction: fixed in commit:e61a03cc (SVN r7395)
